@import url("george.css");

div[data-ng-controller="ControllerWelcomePage"] {                
    background: url('../img/logoBig.png') no-repeat center center !important;
    min-height: 150px !important;
    height: 100%;
}

a {
	cursor:pointer;
	text-decoration:none;
	color:#555;
	font-weight:400;
	transition:color 0.2s ease;
}

a:link {
	cursor:pointer;
	text-decoration:none;}      /* unvisited link */
a:visited {
	cursor:pointer;
	text-decoration:none;
	color:#0D5684}  /* visited link */
a:hover {
	cursor:pointer;
	text-decoration:none;
	color:#53A0D0;}  /* mouse over link */
a:active {
	cursor:pointer;
	text-decoration:none;
	color:#0D5684;
}  /* selected link */

/* The Grid Hell */

.gridStyle {
    border: 1px solid rgb(212,212,212);
    width: 100%; 
    height: 24em;
    vertical-align: middle;
}

/* Center the cell content */
.ngCell {
    vertical-align: middle;
    overflow: hidden;
}
 
.ngCellText {
    vertical-align: middle;
    padding: 0px !important;
    padding-top:     2px !important;
    padding-bottom:  0px !important;
} 
.ngCellElement { vertical-align: middle; }
.ngHeaderCell { vertical-align: middle; }
.ngHeaderSortColumn { vertical-align: middle; }
.ng-binding { vertical-align: middle; }
.ng-binding { vertical-align: top; }

.ngCellNumber {
    text-align: right;
    padding-right: 6px;
}

.ngCellCheckBox {
    text-align: center;
}

td {
    padding: 0.3em;
}

.gridStyle input {
    margin-bottom: 0px !important;
    margin-left: 0px;
    border: 0px !important;
    background: transparent !important;
}

.gridStyle input[type="checkbox"] {
    margin-top: 4px !important;
    margin-left: auto;
    margin-right: auto;
    width: 14px !important;
}

.gridStyle .mySelect {
    background: transparent !important;
    -webkit-border-radius: 0px !important;
    -moz-border-radius: 0px !important;
    border-radius: 0px !important;
    border: 0px !important;
}

@-moz-document url-prefix() {
    .gridStyle .mySelect {
        padding-top: 3px !important;
    }

    .gridStyle td input {
        /* for LOVs */
        padding-top: 3px !important;
    }
}

.css-form input.ng-invalid.ng-dirty {
    background-color: #FA787E;
}
    
.css-form input.ng-valid.ng-dirty {
    background-color: #78FA89;
}

.ngGrid, .ngCellElement {
    font-size: 8pt !important;
}

.LovField { 
    width: 100% !important; 
    border: 0; 
    //border-color: rgb(168, 168, 168) !important; 
    //border-style: solid !important; 
    border-spacing: 0px; 
}

.gridStyle .LovField { 
    width: 100% !important; 
    border: 0px !important; 
    border-color: rgb(168, 168, 168) !important; 
    border-style: solid !important; 
    border-spacing: 0px; 
} 
 
.LovField table { 
    width: 100% !important;
}

.LovField tr { 
    border: none !important; 
} 
 
.LovField td:nth-of-type(1) { 
    border-style: none !important; 
    padding-bottom: 0px !important;
    padding-top: 0px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
    margin : 0 px !important;

}

.LovField input{ 
    margin : 0 px;
    width: 100%;
    border: none !important; 
} 
 
.LovField button { 
    font-size: 8pt !important;
    height: 22px !important;
    width: 22px !important;
    text-align: center;
    vertical-align: middle;
	border:0;
}

.LovField td:nth-of-type(2) { 
    border-style: none !important; 
    padding-bottom: 0px !important; 
    padding-top: 0px !important; 
    padding-left: 0px !important; 
    padding-right: 0px !important; 
    margin : 0 px !important; 
    background: rgba(200,200,200,0.3); 
    width: 20px !important;
}

.gridStyle .LovField td:nth-of-type(2) { 
    border-style: none !important; 
    padding-bottom: 0px !important; 
    padding-top: 0px !important; 
    padding-left: 0px !important; 
    padding-right: 0px !important; 
    margin : 0 px !important; 
    width: 16px !important; 
}

.ngCellElement {
    width: 100% !important;
    margin:0px !important;
    border:0px !important;
}

.ngCellElement input {
    width: 100% !important;
    border:0px !important;
    margin:0px !important;
    background: transparent !important;
}

/*
   On Firefox (and IE10?), inputs are not vertically stretched by default,
   and selects are top-aligning their text. 
*/

.gridStyle input:not([type=checkbox]) {
    height: 100% /* this one may also help IE10 */
}

@-moz-document url-prefix() {
    /* Firefox specific */

    .ngPagerCurrent {
        margin-top: 5px !important;
    }

    .ngPagerContainer select {
        padding-top: 5px;
    }
}
/* end of Firefox */

.ngCellElement select {
    background-color: transparent !important;
    border: none !important; 
}

.ngCellElement span {
    font-size: 8pt !important;
}

.ngViewport {
    /* OBSOLETE: grids should normally show no vertical scrollbar */
    /* overflow-y: hidden; */

    /* turns out we have dynamic columns, too... and...
       dynamic columns appearing can trigger a horizontal scrollbar...
       which eats vertical space - so we also need a vertical scrollbar */
    overflow-y: scroll !important;
    overflow-x: scroll !important;
}

.cellToolTip {
    overflow: visible;
}

/* general */

.requiredAsterisk::after {
    content: '*';
    color: #ff0000;
	font-weight: bold;
	padding-left: 0.2em;
}


/* inputs labels and selects outside grids */

input, label, select, textarea {
    font-size: 11px !important;
	font-family:Arial, sans-serif !important;
}

.colorBox {
width:90%;
height:20px;
margin:0 auto;
cursor: initial;
box-shadow: 0 0 2px black inset;
background:url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAA8AAAAPCAAAAAAevcqWAAAABGdBTUEAALGPC/xhBQAAACBjSFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAAmJLR0QA/4ePzL8AAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAYSURBVAjXY/gPBfshgIHefCi9HypMaz4Aa9zEIB0FNUAAAAAldEVYdGRhdGU6Y3JlYXRlADIwMTctMDYtMTNUMTY6NDg6NDcrMDI6MDBZEuAPAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDE3LTA2LTEzVDE2OjQ4OjQ3KzAyOjAwKE9YswAAAABJRU5ErkJggg==');
}
.ngGrid .colorBox {
width:80%;
height:16px;
margin:2px auto;
}

/* The 5 main parts of the screen */

#NpHeader {
    position:fixed;
    top:0px;
    left:0px;
    width:100%;
    height:60px;
    z-index:100;
    background-color:#FFF;
}

#NpBreadcrumb {
    position:fixed;
    left:0px;;
    top:60px;
    height:20px;
    width: 100%;
    background-color: #eee;
}

#NpNavigation {
    position:fixed;
    top:80px;
    left:0;
    width:20%;
    min-width: 150px;

    -webkit-max-height: calc(100% - 104px);
    -moz-max-height: calc(100% - 104px);
    max-height: calc(100% - 104px) !important;

    -webkit-height: calc(100% - 104px);
    -moz-height: calc(100% - 104px);
    height: calc(100% - 104px) !important;

    overflow-y:auto;
}

.resizable2 {
    position:fixed;
    top: 80px;
    left: 20%;
    width:80%;
    min-width: 650px;
	background:#eee;
	padding-top:35px;
/*
    -webkit-max-height: calc(100% - 60px - 25px - 1em);
    -moz-max-height: calc(100% - 60px - 25px - 1em);
    max-height: calc(100% - 60px - 25px - 1em) !important;

    -webkit-height: calc(100% - 60px - 25px - 1em);
    -moz-height: calc(100% - 60px - 25px - 1em);
    height: calc(100% - 60px - 25px - 1em) !important;
*/

	-webkit-max-height: calc(100% - 60px - 20px - 24px);
    -moz-max-height: calc(100% - 60px - 20px - 24px);
    max-height: calc(100% - 60px - 20px - 24px) !important;

    -webkit-height: calc(100% - 60px - 20px - 24px);
    -moz-height: calc(100% - 60px - 20px - 24px);
    height: calc(100% - 60px - 20px - 24px) !important;
		
    /* overflow:auto causes issues in ng-grid layout when the vertical sb appears */
    overflow:scroll; 
}

#NpFooter {
    z-index: 100;
    position:fixed;
    left:0px;
    bottom:0px;
    width: 100%;
}

.NpMenuButton {
    width: 100%;
    text-align: left;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;

}

.npLovSearchDiv {
    background-color: #DDEEFF;
}

.npLovButton {
    background: url(../img/lov.png);
    background-repeat: no-repeat;
    opacity: 0.85;
    width:22px;
    height:22px;
}

.npAddButton {
    background: url(../img/add.png);
    opacity: 0.85;
    width:22px;
    height:22px;
}


/*
.npGridDelete {
    background-image: url(../img/deleteRow.png);
    opacity: 0.65;
    width:22px;
    height:22px;
}

.npGridEdit {
    background-image: url(../img/edit.png);
    width:22px;
    height:22px;
}

.npGridClone {
    background-image: url(../img/clone.png);
    width:22px;
    height:22px;
}
*/


/* Login form */

.form-signin {
    position: static;
    top: 150px;
    max-width: 27em;
    padding: 1em 2em 2em 2em;
    margin: 0 auto 0;
    background-color: #fff;
    border: 1px solid #e5e5e5;
    -webkit-border-radius: 5px;
       -moz-border-radius: 5px;
            border-radius: 5px;
    -webkit-box-shadow: 0 1px 2px rgba(0,0,0,.05);
       -moz-box-shadow: 0 1px 2px rgba(0,0,0,.05);
            box-shadow: 0 1px 2px rgba(0,0,0,.05);
}

.form-signin .form-signin-heading,
.form-signin .checkbox {
    margin-bottom: 10px;
}
.form-signin label {
    font-size: 16px !important;
    height: auto;
}
.form-signin input[type="text"],
.form-signin input[type="password"] {
    font-size: 16px !important;
    height: auto;
    margin-bottom: 15px;
    padding: 7px 9px;
}

/* Save and Cancel buttons for NRL */

.saveCancel {
    float:right;
}


/* Menu animation */
.fade-hide, .fade-show {
  -webkit-transition:all cubic-bezier(0.250, 0.460, 0.450, 0.940) 0.5s;
  -moz-transition:all cubic-bezier(0.250, 0.460, 0.450, 0.940) 0.5s;
  -o-transition:all cubic-bezier(0.250, 0.460, 0.450, 0.940) 0.5s;
  transition:all cubic-bezier(0.250, 0.460, 0.450, 0.940) 0.5s;
}

.fade-hide {
  opacity:1;
}
.fade-hide.fade-hide-active {
  opacity:0;
}

.fade-show {
  opacity:0;
}
.fade-show.fade-show-active {
  opacity:1;
}

/* The universe */

body {
    height: 100%;
    width: 100%;
    max-height: 100%; 
    overflow: auto;
    background-color: #f5f5f5;
}

* {
    //font-family: arial,verdana,sans-serif !important;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}



input:not([type="checkbox"]) {
	width: 100%;
}

select {
	width: 100%;
}

input.ngPagerCurrent {
	width: 5em !important;
}

div.ngPagerContainer select {
	width: 50px !important;
}
.LovDialog {
margin-bottom:1em
}

.top_menu_button {
    float: left;
    height: 18px;
    line-height: 15px;
    font-size: 8pt;
}

/* Blob components */

.percent {
    position: absolute;
    width: 16em;
    height: 1.5em;
    z-index: 1;
    text-align: center;
    font-size: 0.8em;
    margin: auto;
    color: white;
}

.progress-bar {
    width: 100%;
    height: 1.5em;
    border-radius: 10px;
    border: 1px solid #CCC;
    background: -webkit-linear-gradient(top, #6666cc, #4b4b95);
    background: -moz-linear-gradient(top, #6666cc, #4b4b95);
    background: -ms-linear-gradient(top, #6666cc, #4b4b95);
    border-image: initial;
}

.uploaded {
    padding: 0;
    height: 1.5em;
    border-radius: 10px;
    background: -webkit-linear-gradient(top, #66cc00, #4b9500);
    background: -moz-linear-gradient(top, #66cc00, #4b9500);
    background: -ms-linear-gradient(top, #66cc00, #4b9500);
    border-image: initial;
}

html.wait, html.wait * {
    cursor: wait !important;
}

.no-close .ui-dialog-titlebar-close {
    display: none;
}

@-moz-keyframes blinker {  
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
    100% { opacity: 1.0; }
}

@-webkit-keyframes blinker {  
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
    100% { opacity: 1.0; }
}

@keyframes blinker {  
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
    100% { opacity: 1.0; }
}

.bannerLoginInfo    { font-size:1em; color:#49afcd; }
.bannerLoginWarning { font-size:1em; color:#c67605; }
.bannerLoginDanger  { font-size:1em; color:#ff0005; }

.bannerMainInfo     { font-size:1em; color:#49afcd; }
.bannerMainWarning  { font-size:1em; color:#c67605; }
.bannerMainDanger   { font-size:1em; color:#ff0005; }

/* BLINK eats up 10% of the CPU!
    -webkit-animation-name: blinker;
    -webkit-animation-duration: 2s;
    -webkit-animation-timing-function: linear;
    -webkit-animation-iteration-count: infinite;

    -moz-animation-name: blinker;
    -moz-animation-duration: 2s;
    -moz-animation-timing-function: linear;
    -moz-animation-iteration-count: infinite;

    animation-name: blinker;
    animation-duration: 2s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
*/

.warningPopover {
	background-color: #fcf8e3 !important;
	margin: -9px -14px;
	padding: 9px 14px;
}

.infoPopover {
	background-color: #d9edf7 !important;
	margin: -9px -14px;
	padding: 9px 14px;
}
.errorPopover {
	background-color: #fcf8e3 !important;
	margin: -9px -14px;
	padding: 9px 14px;
}

/* Change password dialog up-front */
.ChangePassClass label,
.RequestAuthorizationClass label  {
    font-size: 16px !important;
    height: auto;
}

.ChangePassClass input[type="text"],
.RequestAuthorizationClass input[type="text"],
.ChangePassClass input[type="password"] ,
.RequestAuthorizationClass input[type="password"] {
    font-size: 16px !important;
    height: auto;
    margin-bottom: 15px;
    padding: 7px 9px;
}

.ChangePassClass button,
.RequestAuthorizationClass button {
    margin-bottom: 15px;
    padding: 7px 9px;
}

/*Buttons and table button container classess used in FileUpload directive*/
table.buttonContainer {
	table-layout:fixed;
	width:initial
}
table.buttonContainer button {
	width:100%
}
.ngCell table.buttonContainer {
	width: 100%
}
